Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.defobj
Interface GetName

All Known Subinterfaces:
  Action, ActionCache, ActionCall, ActionChanged, ActionConcurrent, ActionForEach, ActionForEachHomogeneous, ActionGroup, ActionTo, ActivationOrder, ActiveGraph, ActiveOutFile, Activity, ActivityControl, ArchivedGeometryWidget, Archiver, Arguments, Array, Averager, BasicRandomGenerator, BehaviorPhase, BernoulliDist, BinomialDist, BooleanDistribution, C2TAUS1gen, C2TAUS2gen, C2TAUS3gen, C2TAUSgen, Ca2d, Canvas, CanvasAbstractItem, CanvasItem, Collection, Colormap, CommonProbeDisplay, CompleteProbeDisplay, CompleteProbeMap, CompleteVarMap, CompositeItem, CompoundAction, ConcurrentGroup, ConcurrentSchedule, ControlPanel, ConwayLife2d, Create, CreatedClass, CustomProbeMap, DblBuffer2d, DefaultProbeMap, DefinedClass, DefinedObject, Diffuse2d, Discrete2d, DoubleDistribution, EmptyProbeMap, Entropy, Error, EventType, ExponentialDist, EZAverageSequence, EZBin, EZDistribution, EZGraph, EZSequence, FAction, FActionForEach, FActionForEachHeterogeneous, FActionForEachHomogeneous, FArguments, FCall, ForEachActivity, GammaDist, Graph, GraphElement, Grid2d, GUISwarm, HDF5, HDF5Archiver, Histogram, Index, Int2dFiler, IntegerDistribution, KeyedCollection, KeyedCollectionIndex, LinkItem, LispArchiver, List, ListIndex, ListShuffler, LogNormalDist, Map, MapIndex, MessageProbe, MT19937gen, MultiVarProbeDisplay, NodeItem, Normal, NormalDist, NSelect, Object2dDisplay, OvalNodeItem, Permutation, PermutationItem, PermutedIndex, Pixmap, PMMLCG1gen, PMMLCGgen, PoissonDist, ProbabilityDistribution, Probe, ProbeDisplay, ProbeDisplayManager, ProbeLibrary, ProbeMap, PSWBgen, QSort, RandomBitDist, Raster, RectangleNodeItem, Schedule, ScheduleActivity, SimpleProbeDisplay, SimpleRandomGenerator, SingleProbeDisplay, SplitRandomGenerator, String, Swarm, SwarmActivity, SwarmObject, SwarmProcess, Symbol, UName, UniformDoubleDist, UniformIntegerDist, UniformUnsignedDist, UnsignedDistribution, Value2dDisplay, VarProbe, Warning, Widget, Zone, ZoomRaster

All Known Implementing Classes:
  SymbolImpl

public interface GetName

Get name which identifies object in its context of use.. Get name which identifies object in its context of use.

Method Summary
`java.lang.String` | `getName()` The getName message returns a null-terminated character string that identifies an object in some context of use.

Method Detail

### getName

    public java.lang.String getName()

  The getName message returns a null-terminated character string that identifies an object in some context of use. This message is commonly used for objects that are created once in some fixed context where they are also assigned a unique name. Constant objects defined as part of a program or library are examples. This message is intended only for returning a name associated with an object throughout its lifetime. It does not return any data that ever changes.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD